import { NgZorroAntdModule } from 'ng-zorro-antd';
import { RouterModule } from '@angular/router';
import { NgModule, CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';

import { EditFormModule } from '@widgets/entity4/main7/main7.module';
import { Entity4Main7EditViewPage } from './entity4-main7-edit-view';


@NgModule({
  imports: [
    RouterModule.forChild([
      {
        path: '',
        component: Entity4Main7EditViewPage,
        data: { name: 'module4_entity4main7editview' }
      }
    ])
  ],
  exports: [ RouterModule ]
})
export class Entity4Main7EditViewRouteModule {}

@NgModule({
  imports: [
    NgZorroAntdModule,
    CommonModule,
    FormsModule,
    Entity4Main7EditViewRouteModule,
    EditFormModule,
  ],
  schemas: [CUSTOM_ELEMENTS_SCHEMA],
  declarations: [Entity4Main7EditViewPage],
  entryComponents: [Entity4Main7EditViewPage],
  exports: [Entity4Main7EditViewPage]
})
export class Entity4Main7EditViewModule {}
